Update Current User
curl --request PUT \
--url https://console.vast.ai/api/v0/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"normalized_email": "user@example.com",
"username": "johndoe",
"fullname": "John Doe"
}
'import requests
url = "https://console.vast.ai/api/v0/users/"
payload = {
"normalized_email": "user@example.com",
"username": "johndoe",
"fullname": "John Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
normalized_email: 'user@example.com',
username: 'johndoe',
fullname: 'John Doe'
})
};
fetch('https://console.vast.ai/api/v0/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"username": "<string>",
"email": "<string>",
"ssh_key": "<string>",
"balance": 123,
"email_verified": true,
"huggingface_cloud_sync_enabled": true,
"paypal_email": "<string>",
"wise_email": "<string>",
"has_payout": true
}{
"error": "<string>",
"msg": "<string>"
}{
"error": "<string>",
"msg": "<string>"
}Accounts
Update Current User
Update profile fields (SSH key, email, password, payout settings, etc.) for the authenticated user.
PUT
/
api
/
v0
/
users
/
Update Current User
Authorizations
API key must be provided in the Authorization header
Body
application/json
Response
Updated user object returned
User ID
Username
Email address
Default SSH public key
Account credit balance (USD)
Whether the email has been verified
Whether Hugging Face cloud sync is currently enabled for this authenticated user
PayPal payout email
Wise payout email
Whether a payout method is configured
⌘I